Phoca Facebook Comments problem with latest joomla version

Phoca modules - support for all Phoca modules except Phoca Gallery modules
avulashiva
Phoca Newbie
Phoca Newbie
Posts: 1
Joined: 24 Jan 2019, 13:17

Phoca Facebook Comments problem with latest joomla version

Post by avulashiva » 24 Jan 2019, 13:46

Hi,

I updated my joomla to latest version 3.9 in different steps. It went well but i got the issue with Phoca Facebook Comments.

Now i get all this errors maybe you can help me with these please.

Strict Standards: Non-static method JSite::getMenu() should not be called statically in /home/website/public_html/modules/mod_phoca_facebook_comments/mod_phoca_facebook_comments.php on line 14

Strict Standards: Non-static method JApplication::getMenu() should not be called statically in /home/website/public_html/includes/application.php on line 536

Strict Standards: Only variables should be assigned by reference in /home/website/public_html/modules/mod_phoca_facebook_comments/mod_phoca_facebook_comments.php on line 14

Strict Standards: Only variables should be assigned by reference in /home/website/public_html/modules/mod_phoca_facebook_comments/mod_phoca_facebook_comments.php on line 15

Strict Standards: Only variables should be assigned by reference in /home/website/public_html/modules/mod_phoca_facebook_comments/mod_phoca_facebook_comments.php on line 29

We replaced the code line no 14
$menu =& JSite::getMenu();
with
$app = JFactory::getApplication();
$menu = $app->getMenu();

Thank you in advance :)

Thanks,
Shiva.

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 42522
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Phoca Facebook Comments problem with latest joomla version

Post by Jan » 27 Jan 2019, 20:13

Hi, thank you for the information, will be set in next version.

Jan
If you find Phoca extensions useful, please support the project

Post Reply